## org.apache.jk.common
Class ModJkMX

    java.lang.Object
      org.apache.jk.core.JkHandler
          org.apache.jk.common.ModJkMX

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationListener

public class ModJkMX
extends JkHandler

A small mbean that will act as a proxy for mod_jk2. For efficiency, it'll get bulk results and cache them - you can force an update by calling the refreshAttributes and refreshMetadata operations on this mbean. TODO: implement the user/pass auth ( right now you must use IP based security ) TODO: eventually support https TODO: support for metadata ( mbean-descriptors ) for description and type conversions TODO: filter out trivial components ( mutexes, etc )

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.jk.core.JkHandler
`domain, ERROR, HANDLE_FLUSH, HANDLE_RECEIVE_PACKET, HANDLE_SEND_PACKET, HANDLE_THREAD_END, id, LAST, name, next, nextName, OK, oname, properties, wEnv`

Constructor Summary
`ModJkMX()`

Method Summary
`void` `destroy()` Clean up and stop the handler
`java.lang.String` `getPass()`
`java.lang.String` `getStatusPath()`
`long` `getUpdateInterval()`
`java.lang.String` `getUser()`
`java.lang.String` `getWebServerHost()`
`int` `getWebServerPort()`
`void` `init()` Should register the request types it can handle, same style as apache2.
`void` `refresh()` Refresh the proxies, if updateInterval passed
`void` `refreshAttributes()`
`void` `refreshMetadata()`
`void` `setPass(java.lang.String pass)`
`void` `setStatusPath(java.lang.String statusPath)`
`void` `setUpdateInterval(long updateInterval)`
`void` `setUser(java.lang.String user)`
`void` `setWebServerHost(java.lang.String webServerHost)`
`void` `setWebServerPort(int webServerPort)`
`void` `start()`

Methods inherited from class org.apache.jk.core.JkHandler
`addHandlerCallback, createMsgContext, getDomain, getId, getName, getNext, getObjectName, getProperty, handleNotification, invoke, pause, postDeregister, postRegister, preDeregister, preRegister, resume, setId, setName, setNext, setNext, setProperty, setWorkerEnv`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModJkMX

    public ModJkMX()

Method Detail

### getWebServerHost

    public java.lang.String getWebServerHost()

### setWebServerHost

    public void setWebServerHost(java.lang.String webServerHost)

### getWebServerPort

    public int getWebServerPort()

### setWebServerPort

    public void setWebServerPort(int webServerPort)

### getUpdateInterval

    public long getUpdateInterval()

### setUpdateInterval

    public void setUpdateInterval(long updateInterval)

### getUser

    public java.lang.String getUser()

### setUser

    public void setUser(java.lang.String user)

### getPass

    public java.lang.String getPass()

### setPass

    public void setPass(java.lang.String pass)

### getStatusPath

    public java.lang.String getStatusPath()

### setStatusPath

    public void setStatusPath(java.lang.String statusPath)

### destroy

    public void destroy()

  Description copied from class: `JkHandler`
  Clean up and stop the handler

  Overrides:
    `destroy` in class `JkHandler`

### init

    public void init()
              throws java.io.IOException

  Description copied from class: `JkHandler`
  Should register the request types it can handle, same style as apache2.

  Overrides:
    `init` in class `JkHandler`
  Throws:
    `java.io.IOException`

### start

    public void start()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### refresh

    public void refresh()

  Refresh the proxies, if updateInterval passed

### refreshAttributes

    public void refreshAttributes()

### refreshMetadata

    public void refreshMetadata()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.